ASP.NET Extensions CTP and .NET Framework 3.5 SP1/.NET Framework 3.5 and vs2008 sp1?

Can someone explain the differences/relationships between asp.net extensions ctp, .net framework 3.5 sp1/.net framwork 3.5, and vs2008 sp1?

I currently have a web app built with vs2008 RTM, .net framework 3.5 (no sp), and asp.net extensions ctp.  The system.web.extensions for framework 3.5 is version 3.5.0.0 and for .net extensions ctp it is 3.6.0.0. 

Can I replace all web references with the ctp version 3.6?  

 

0
surfsista
8/9/2008 5:18:17 PM
asp.net.installation-setup 5668 articles. 1 followers. Follow

1 Replies
1157 Views

Similar Articles

[PageSpeed] 7
Get it on Google Play
Get it on Apple App Store

CTP = Community Technology Preview; these are something like beta versions that are released so that they can be tested. these are generally not recommened for production environment.

.NET Framework 3.5 SP1 = Service Pack containing fixes and updates on the .NET 3.5 runtime framework.

.NET Framework 3.5 = These are redistributable runtime components needed to be able to run application on the .NET 3.5 framework, (something like dll's or libraries)

VS 2008 SP 1 = Service Pack for the VS 2008, contains updates on VS and also the .NET framework. These should contain all the updates on the VS (IDE) and the framework...

 

Hope this helps...

 


Clicking “Mark as Answer” would also help other community members reading the thread.


"Two roads diverged in a wood, and I—; I took the one less traveled by, And that has made all the difference. -The Road Not Taken"
0
praetorean
8/18/2008 2:25:58 AM
Reply:

Similar Artilces:

Can we replace Microsoft .Net framework 3.5 with Microsoft .NET Compact Framework 3.5
Hi, I have installed vs2008 in C drive and removed it from there  including Microsoft .Net framework 3.5, due to space crunch, then I started installing it in D drive, in this case it did not install .Microsoft .Net framework 3.5 and now it does not show me Microsoft .Net framework 3.5 it shows .NET Compact Framework 3.5 in Add remove program list. My question is will VS2008 work fine with .NET Compact Framework 3.5. apart from it it also has .NET Framework 3.5 SP1 in the list, all what is missing is microsoft .net framework 3.5  Please let me know ...

History in VS2008 SP1 with .Net Framework 3.5 SP1
This seems extremely straightforward but I am stuggling here.According to all the documentation the History control e.g <asp:history...> is included in .Net Framework 3.5 SP1.I downloaded installed and verified the version number of both my VS2008 and .Net Framework.  All looks good.Now I want to include the control and cannot get it to 1) show up in the toolbox or 2) work at all (as far as Visual Studio is concerned no such control exists.)  I am building a web application in C#.  I think I have the correct dlls referenced by my project, but am I missing something here?...

.NET 3.5 SP1 & ADO.NET Entity Framework Clarification
I'm a little confused, can someone please clarify, with the recent release of .NET 3.5 SP1....  does that include an official "release" of the ADO.NET Entity Framework?  Or is the framework still in early pre-release stages?Thanks,Matt BrownMetalReview.com - Metal music community and reviewsHaulix - Easy promotional media distribution for the music industry Entity Framework is officially released and is part of SP1. Sweet times, sweet times. This is the official forum for it: http://forums.microsoft.com/MSDN/ShowForum.aspx?ForumID=533&SiteID=1 The forum was no...

.NET Framework 3.5 and .NET Framework 2.0
Hi All,            I wana know i have .net framework 2.0 running on my pc with sql server 2005. I wana install .net framework 3.5. My question is that can i keep both the framework on same pc if yes can u tell me the way how can i do this.  The 3.5 version of the framework actually adds to the existing 2.0 framework. after you install 3.5, you will still have 2.0 on your system.Mike Banavige~~~~~~~~~~~~Need a site code sample in a different language? Try converting it with: http://converter.telerik.com/ actually by default and automatilcally when you ...

Using a REST API using "Astoria" (with .NET Framework 3.5 and VS.NET 2008 SP1)
Hello! I'm really interested in learning how to work with the new .NET Framework 3.5 and VS.NET 2008 SP1 (still beta). Here is my question: I would like to use a REST API that is not made by me. I'm talking about the REST API of Community Server 2008 (www.communityserver.org). I've got the full specification of the API. They have it well documented and ready to go. It appears to be very easy to use, but... HOW? How to connect the web services with the new .NET 3.5 properly? The full specification can be read here: http://api.communityserver.org. I've successully used...

Error in installation framework.net 3.5 SP1
Hi,I have trouble with installation framework.net 3.5 SP1.This is image with error http://img520.imageshack.us/my.php?image=errorsh2.jpgMy OS: Win XP sp2 I have installed Net Framework 2.0 SP1 with VS web express 2005. Best RegardsMartin Sosna "Don't be evil"-Google...

Net framework 2.0 installled on my server, can i replace it with .net framework 3.5
Hi all I have .Net framework 2.0 installled on my server,  and  websites are currently running  that are developed in .net 2.,  my  clinets wants .net framework 3.5 or  if i installed .net framewrok 3.5 in my server, there is any problems to my previous  web application that was hosted using .net framework 2.0   if yes ,how  can i installed .net framewrok 3.5 adilahmed Don't worry...just install it. .net 3.5 is incremental and works on top of 2.0. Any existing websites will reference the 2.0 binaries and will still work.   Also, I...

Install Turbo Delphi on .NET 3.5
Hi, I'd like to install Turbo Delphi on my laptop running .NET 3.5, I get a message saying that Delphi requires SP1 of .NET v1.1 to be installed. I'm not sure what to do, maybe I need to roll back my .NET installaion to v1.1 in order to install Turbo Delphi, and then upgrade .NET back to 3.5 afterwards? michael collier wrote: > Hi, > > I'd like to install Turbo Delphi on my laptop running .NET 3.5, I get > a message saying that Delphi requires SP1 of .NET v1.1 to be > installed. > > I'm not sure what to do, maybe I need to roll back my .N...

Support for dw.NET 2.5 in VS 2008, .NET framework 3.5 and Oracle 10.2g
Hi, I intend to use the datawindow.NET 2.5 in VS 2008 (.NET framework 3.5) using a Oracle 10.2g database as a backend and later using Oracle 11g as backend. Can someone please let me know if the product is supported in the environments mentioned. All help will be highly appreciated and many thanks in advance. Regards Hasan Kasamali On Nov 24, 3:06=A0am, Hasan Kasamali wrote: > Hi, > > I intend to use the datawindow.NET 2.5 in VS 2008 (.NET > framework 3.5) using a Oracle 10.2g database as a backend > and later using Oracle 11g as backend. > > Can ...

.Net Framework 3.5 sp1
Not sure if this is the right place to post this, but here goes. I am starting to develop an application with MVC.  I have had to install SP1 on my local machine to get started. The thing is I am running .NET Framework 3.5 without SP1 on my production servers, and I wa wondering if I'm going to have to install SP1 on my production servers before any MVC application will run there. Short answer.. yes, I believe you will need SP1 installed!  Happy Coding! Jace The poster above me is incorrect.  You do not need SP1 installed on your production servers to use MVC.&...

Web Setup .msi promting for .NET Framework 3.5 on server install, but project targets Framework 2.0
I have an .asmx web service built in VS.NET 2008 that targets the .NET Framework 2.0.  I have a web setup project that packages the .asmx service into a .msi file.  When I copy the install file out to the server and try to install, it states: "This setup requires the .NET Framework version 3.5. Please install the .NET Framework and run this setup again...." I can not install the 3.5 Framework yet out on the server, so how can I reconfigure my setup project to know to only look for the .NET Framework 2.0?   Thank you!Thank you,  Nevermind.... As usual 2 sec...

Microsoft .NET Framework 3.5 SP1
On an XP HE SP3 which does not now, and never has had, any version of Microsoft.NET Framework, Belarc Advisor ir currently reporting that one of the most recent out-of-band .NET patches is 'missing', specifically the one relating to Microsoft .NET Framework 3.5 SP1. Having bought the PC without an installed OS, and installed XP myself, I /think/ I would remember installing .NET 3.5, and, in any case, there is no trace of any .NET bits and pieces anywhere on that PC. I have several versions of .NET on /this/ PC, so I know where to look for traces (at least I think I do). ...

uninstall .net framework 3.5 sp1
Are there any issues with uninstalling and reinstalling this?  I have VS2005 and a VS2008 upgrade loaded.  Nope.. Not as far as I knowKumar Reddi...

what should i install VS 2008 SP1 Or .Net 3.5 SP1
Hi I have MS Visual Studio 2008 Express Edition With Two Component Installed Web Developer 2008 Express Edition Visual Basic 2008 Express Edition and SQL 2005 Express Edition Advance what should i install VS 2008 SP1 Or .Net 3.5 SP1 or both  Please Help Visual Studio 2008 SP1 will install .net 3.5 Service Pack 1 during the install processSilverlight-helpVb TipsSpace Coast .Net User Group Friend, VS 2008 SP1 will install both the .Net Framework 3.5 SP1 and as well as the service pack for Visual Studio 2008. So please go ahead installing that. Good luck!  Please Don't...

Installed .NET Framework version 3.5 SP1 release, but can't find dynamic data template
Hi, See subject. I've installed the redistributable version of 3.5 sp1:http://www.microsoft.com/downloads/details.aspx?FamilyId=23516C63-2DB2-4E7F-AABA-32B12D6E025C&displaylang=en quote from the asp.net website: "Dynamic Data is part of the .NET Framework version 3.5 SP1 release. It is available in beta form in the .NET 3.5 SP1 Beta release, which is available today."   Regards,DarnDao Problem solved:http://www.codeplex.com/aspnet/Release/ProjectReleases.aspx?ReleaseId=14474 ...

Web resources about - ASP.NET Extensions CTP and .NET Framework 3.5 SP1/.NET Framework 3.5 and vs2008 sp1? - asp.net.installation-setup

Google Chrome extension - Wikipedia, the free encyclopedia
to build the extensions which requires different code and skills for each extension. Extensions can be created through use of web technologies ...

We don't need more casinos, or extensions to the ones we're already stuck with
When the casino operators start playing nice to each other, we should worry.

AVG force-installed vulnerable 'broken' Chrome extension
Google Security Research has criticized AVG for "force installing" AVG Web Tuneup, a Chrome extension which could be exploited to reveal "browsing ...

Popular antivirus extension from AVG puts millions of Chrome users in danger
... dangerous than not having any security at all. According to a bug report filed by a Google employee on December 15th, the AVG Web TuneUp extension ...

Sunedison Inc: Can ITC Extension Drive Growth for the Solar Industry?
Industry experts remain divided on the impact of the extension in solar investment tax credit on the solar energy market.

This Chrome extension highlihts weak phrases in your emails to make you sound more confident
“ Just Not Sorry ” is a Google Chrome extension that stops you from casually undermining yourself in emails. It identifies words and phrases ...

Solar & Wind Tax Credit Extension, Tesla Model X Deliveries, & Faraday Future
Our latest episode of Cleantech Talk tackled the huge 5-year extension of the solar and wind energy tax credits, Tesla Model X deliveries, and ...

Jeff Bewkes Gets Three-Year Extension At Time Warner
Time Warner is keeping the status quo at the top of its ranks. The conglomerate said today that it has renewed the contract of Chairman and CEO ...

Market Brushes Off Russia Sanctions Extension; Crimea Gets Whacked
Crimea-based companies get hammered by sanctions as Washington builds economic wall around former Ukrainian peninsula.

Holly Holm signs multiyear extension with UFC
Holly Holm, UFC's bantamweight champion since she dethroned Ronda Rousey in November, signed a multiyear extension with the UFC on Saturday. ...

Resources last updated: 1/11/2016 3:06:15 AM